Bug 72806 - New port: deskutils/freemind - Freemind is an incredible thought organization tool - a mind map software
Summary: New port: deskutils/freemind - Freemind is an incredible thought organization...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-10-18 03:40 UTC by Carlos Eduardo G. Carvalho
Modified: 2004-11-29 09:41 UTC (History)
0 users

See Also:


Attachments
file.shar (5.18 KB, text/plain)
2004-10-18 03:40 UTC, Carlos Eduardo G. Carvalho
no flags Details
freemind.tgz (1.65 KB, APPLICATION/x-tar-gz)
2004-11-28 19:53 UTC, Carlos Eduardo G. Carvalho
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Eduardo G. Carvalho 2004-10-18 03:40:25 UTC
FreeMind is a premier free mind-mapping software written in Java. The
recent development has hopefully turned it into high productivity
tool. We are proud that the operation and navigation of FreeMind is
faster than that of Mind Manager because of one-click "fold / unfold"
and "follow link" operations.
Comment 1 Thierry Thomas freebsd_committer 2004-11-11 22:08:07 UTC
State Changed
From-To: open->feedback


Please consider the following patch, which makes some cleaning: 

diff -urN deskutils/freemind.orig/Makefile deskutils/freemind/Makefile 
--- deskutils/freemind.orig/Makefile	Thu Nov 11 22:44:17 2004 
+++ deskutils/freemind/Makefile	Thu Nov 11 23:00:29 2004 
@@ -1,61 +1,33 @@ 
-# New ports collection makefile for:   freemind 
-# Date created:        22 september 2004 
-# Whom:                cartola (Carlos E. G. Carvalho) 
+# New ports collection makefile for:	freemind 
+# Date created:	 22 september 2004 
+# Whom:		cartola (Carlos E. G. Carvalho) 
# 
# $FreeBSD$ 
# 
-# Freemind is an incredible thought organization tool 
-# 
-# FROM THE AUTHORS: 
-# 
-# FreeMind is a premier free mind-mapping software written in Java. The 
-# recent development has hopefully turned it into high productivity 
-# tool. We are proud that the operation and navigation of FreeMind is 
-# faster than that of Mind Manager because of one-click "fold / unfold" 
-# and "follow link" operations. 
-# 
-# So you want to write a completely new metaphysics? Why don't you use 
-# FreeMind? You have a tool at hand that remarkably resembles the tray 
-# slips of Robert Pirsig, described in his sequel to Zen and the Art of 
-# Motorcycle Maintenance called Lila. Do you want to refactor your essays 
-# in a similar way you would refactor software? Or do you want to keep 
-# personal knowledge base, which is easy to manage? Why don't you try 
-# FreeMind? Do you want to priorize, know where you are, where you've been 
-# and where you are heading, as Stephen Covey would advise you? Have you 
-# tried FreeMind to keep track of all the things that are needed for that? 
-# 
-# FROM THE PORTER (me): 
-# 
-# Freemind is usable for many different things. I'm using it to plan 
-# projects, document servers and systems, plan and do html presentations 
-# guides, record and mantain progress of tasks and some other things. 
-# 
- 
-PORTNAME=      freemind 
-PORTVERSION=   0.7.1 
-CATEGORIES=    deskutils java 
-MASTER_SITES=          ${MASTER_SITE_SOURCEFORGE} 
-MASTER_SITE_SUBDIR=    freemind 
-DISTFILES=     freemind-bin-0_7_1.zip 
- 
-MAINTAINER=    cartola@openit.com.br 
-COMMENT=       Free mind mapping software 
- 
-USE_ZIP=       yes 
-USE_JAVA=      1.4+ 

-NO_BUILD=      yes 
+PORTNAME=	freemind 
+PORTVERSION=	0.7.1 
+CATEGORIES=	deskutils java 
+MASTER_SITES=	${MASTER_SITE_SOURCEFORGE} 
+MASTER_SITE_SUBDIR=	freemind 
+DISTNAME=	${PORTNAME}-bin-${PORTVERSION:S/./_/g} 
+ 
+MAINTAINER=	cartola@openit.com.br 
+COMMENT=	Free mind mapping software 
+ 
+USE_ZIP=	yes 
+USE_JAVA=	yes 
+JAVA_VERSION=	1.4+ 

-do-extract: 
-       @${MKDIR} ${WRKSRC} 
-       ${UNZIP_CMD} -d ${WRKSRC} ${DISTDIR}/${DISTFILES} 
+NO_BUILD=	yes 
+EXTRACT_AFTER_ARGS=	-d ${WRKSRC} 

do-install: 
-       ${CP} -r ${WRKSRC} ${PREFIX} 
-       @(${ECHO} "#!/bin/sh"; ${ECHO} "${JAVA_HOME}/bin/java -jar ${PREFIX}/${DISTNAME}/lib/freemind.jar $@") > ${PREFIX}/bin/freemind 
-       ${CHMOD} 755 ${PREFIX}/bin/freemind 
-       @# Cleaning those dirs that are not necessary and give error 
-       @# messages when removing package installed with package 
-       @${RMDIR} ${PREFIX}/${DISTNAME}/doc/maps ${PREFIX}/${DISTNAME}/doc/pics 
+	${CP} -r ${WRKSRC} ${PREFIX} 
+	@(${ECHO} "#!/bin/sh"; ${ECHO} "${JAVA_HOME}/bin/java -jar ${PREFIX}/${DISTNAME}/lib/freemind.jar $@") > ${PREFIX}/bin/freemind 
+	${CHMOD} 755 ${PREFIX}/bin/freemind 
+	@# Cleaning those dirs that are not necessary and give error 
+	@# messages when removing package installed with package 
+	@${RMDIR} ${PREFIX}/${DISTNAME}/doc/maps ${PREFIX}/${DISTNAME}/doc/pics 

.include <bsd.port.mk> 

Then, there is another problem: this port installs unnecessary 
files, like a MS-Windows binary (Freemind.exe), a DOS batch file 
(freemind.bat), or a non-executable shell script (freemind.sh). 
Could you please remove them and check the remaining files? 



Comment 2 Thierry Thomas freebsd_committer 2004-11-11 22:08:07 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Handle.
Comment 3 Carlos Eduardo G. Carvalho 2004-11-28 19:53:33 UTC
	Hi, I didn't find exact instructions on how to submit the follow
up of this port, so here comes the modified port according to thierry
suggestions.

	Please tell me if it was supposed to be sent in another way. As
the "Submit Followup" link was to send an email, here it is.

[ ]s,

Carlos E. G. Carvalho		OpenIT Soluções Tecnológicas
Consultor Unix/Internet		Tel. (21) 2517-6000
http://www.OpenIT.com.br
http://www.MyFreeBSD.com.br
Comment 4 Thierry Thomas freebsd_committer 2004-11-29 09:40:41 UTC
State Changed
From-To: feedback->closed


New port added, thanks!